#!/bin/bash

# cd to directory of this script
cd "`echo $0 | perl -pe 's|/[^/]+$||'`"

# insert tag text
insert () {
  perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

# prepare calendar table
calendar=$(./calendar.py calendar.txt)

# calendar.html
cat calendar.md |\
   insert calendar "${calendar}" |\
   output "$(cat title) (Calendar)" > ../calendar.html

# index.html
cat index.md |\
   insert calendar "${calendar}" |\
   output "$(cat title)" > ../index.html

# source.html
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.html

# links.html
cat links.md |\
   output "$(cat title) (Links)" > ../links.html

# create tarball
cd ..
tar -czf source.tar.gz source

# testing
if [ `uname` = "Darwin" ]
then
   open index.html
#   open source.html
#   open links.html
fi
